PDF::Builder::Resource(3pm)

NAME
PDF::Builder::Resource - Base class for PDF resources

Inherits from PDF::Builder::Basic::PDF::Dict

METHODS

  new
    $resource = PDF::Builder::Resource->new($pdf, $name)

    Returns a resource object.

  name
    $name = $resource->name() # Get

    $resource->name($name) # Set

    Get or set the name of the resource.